Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.colorer.eclipse.outline
Class WorkbenchOutliner

    java.lang.Object
      net.sf.colorer.editor.Outliner
          net.sf.colorer.eclipse.outline.WorkbenchOutliner

All Implemented Interfaces:
  IWorkbenchOutlineSource, EditorListener, IOutlineSource, RegionHandler

    public class WorkbenchOutliner

extends Outliner
implements IWorkbenchOutlineSource

Default outliner, used to filter parse stream for the specified HRC Region. Extends default Outliner, implements workbench adapter to work as outliner in eclipse environment.

Field Summary

Fields inherited from class net.sf.colorer.editor.Outliner
`outline`

Constructor Summary
`WorkbenchOutliner(Region filter)`

Method Summary
`void` | `addListener(OutlineListener listener)`
`void` | `attachOutliner(TextColorer editor)` Attaches the outliner, specified by this interface to the editor, causing this outliner to recieve parse information.
`OutlineItem` | `createItem(int lno, int sx, int length, int curLevel, java.lang.String itemLabel, Region region)`
`void` | `detachOutliner(TextColorer editor)` Detaches the outliner, specified by this interface
`java.lang.Object` | `getAdapter(java.lang.Class adapter)`
`java.lang.Object[]` | `getChildren(java.lang.Object object)`
`ImageDescriptor` | `getImageDescriptor(java.lang.Object object)`
`java.lang.String` | `getLabel(java.lang.Object object)`
`java.lang.Object` | `getParent(java.lang.Object o)`
`protected void` | `notifyUpdate()`
`void` | `removeListener(OutlineListener listener)`
`void` | `setHierarchy(boolean hierarchy)`
`void` | `setSorting(boolean sorting)`

Methods inherited from class net.sf.colorer.editor.Outliner
`addRegion, attachOutliner, clear, clearLine, detachOutliner, endParsing, enterScheme, getFilter, getItem, isOutlined, itemCount, leaveScheme, modifyEvent, startParsing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.colorer.eclipse.outline.IWorkbenchOutlineSource
`clear`

Constructor Detail

### WorkbenchOutliner

    public WorkbenchOutliner(Region filter)

Method Detail

### addListener

    public void addListener(OutlineListener listener)

  Specified by:
    `addListener` in interface `IOutlineSource`

### removeListener

    public void removeListener(OutlineListener listener)

  Specified by:
    `removeListener` in interface `IOutlineSource`

### setHierarchy

    public void setHierarchy(boolean hierarchy)

  Specified by:
    `setHierarchy` in interface `IWorkbenchOutlineSource`

### setSorting

    public void setSorting(boolean sorting)

  Specified by:
    `setSorting` in interface `IWorkbenchOutlineSource`

### attachOutliner

    public void attachOutliner(TextColorer editor)

  Description copied from interface: `IWorkbenchOutlineSource`
  Attaches the outliner, specified by this interface to the editor, causing this outliner to recieve parse information.

  Specified by:
    `attachOutliner` in interface `IWorkbenchOutlineSource`

### detachOutliner

    public void detachOutliner(TextColorer editor)

  Description copied from interface: `IWorkbenchOutlineSource`
  Detaches the outliner, specified by this interface

  Specified by:
    `detachOutliner` in interface `IWorkbenchOutlineSource`

### createItem

    public OutlineItem createItem(int lno,
                                  int sx,
                                  int length,
                                  int curLevel,
                                  java.lang.String itemLabel,
                                  Region region)

  Overrides:
    `createItem` in class `Outliner`

### notifyUpdate

    protected void notifyUpdate()

  Overrides:
    `notifyUpdate` in class `Outliner`

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class adapter)

### getChildren

    public java.lang.Object[] getChildren(java.lang.Object object)

### getImageDescriptor

    public ImageDescriptor getImageDescriptor(java.lang.Object object)

### getLabel

    public java.lang.String getLabel(java.lang.Object object)

### getParent

    public java.lang.Object getParent(java.lang.Object o)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Cail Lomecb. All Rights Reserved.